/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MatListModule } from '@angular/material/list';
import { COMMANDBAR_ADDMENU_DATA, CommandbarAddMenuComponent } from './commandbar-addmenu.component';
import { CommandbarAddMenuItem } from './commandbar-addmenu.model';

describe('CommandbarAddMenuComponent', () => {
  let component: CommandbarAddMenuComponent;
  let fixture: ComponentFixture<CommandbarAddMenuComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [MatListModule],
        declarations: [CommandbarAddMenuComponent],
        providers: [
          {
            provide: COMMANDBAR_ADDMENU_DATA,
            useValue: <CommandbarAddMenuItem[]>[],
          },
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(CommandbarAddMenuComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
